### Method

# EBackend DBusServer run

since: 3.4

#### Declaration [src]

    EDBusServerExitCode
    e_dbus_server_run (
      EDBusServer* server,
      gboolean wait_for_client
    )

#### Description [src]

Emits the `EDBusServer::run` signal.

By default the `server` will start its main loop and attempt to acquire its well-known session bus name. If the `server`‘s main loop is already running, the function will immediately return #E_DBUS_SERVER_EXIT_NONE. Otherwise the function blocks until `e_dbus_server_quit()` is called.

If `wait_for_client` is `TRUE`, the `server` will continue running until the first client connection is made instead of quitting on its own if no client connection is made within the first few seconds.

Available since: 3.4

#### Parameters

`wait_for_client`

  Type: `gboolean`

  Continue running until a client connects.

#### Return value

Type: `EDBusServerExitCode`

The exit code passed to e_dbus_server_quit().